<template>
  <div>
    <md-dialog-alert
        :md-active.sync="postError.active"
        md-title="Error"
        :md-content="postError.msg"
        md-confirm-text="Ok" />
  </div>
</template>

<script>
import {EventBus} from "@/main";

export default {
  name: "ErrorAlert",
  data () {
    return {
      postError : {
        active: false,
        msg: ''
      }
    }
  },
  mounted() {
    EventBus.$on('error', this.showAlert)
  },
  methods: {
    showAlert: function (message) {
      this.postError.active = true
      this.postError.msg = message
    }
  }
}
</script>

<style scoped>

</style>